require 'mail'

module Mailer

  class << self
    attr_reader :config
  end

  def self.setup
    @config ||= {      
      address: '',
      port: 587,
      user_name: '',
      password: '',
      enable_starttls_auto: true
    }

    yield(config)
  
    opt = @config
    Mail.defaults do      
      delivery_method :smtp, opt
    end
  end

  def self.send to, subject, body
    from = config[:user_name]
    Mail.deliver do
      to to
      from from
      subject subject
      body body
    end
  end

end